<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:b="http://bootsfaces.net/ui"
>

<ui:composition template="/arch.xhtml">
    <ui:define name="head">
        <title>Bienvenue</title>
    </ui:define>

    <ui:define name="content">
        <h:body style="background-image: url('resources/img/PuzzleImg1.jpg')">
            <c:if test="#{mbLogin.sessionCandidate.firstName != null}">
                <div style="display: flex;flex-direction: column; color: white;
            justify-content: center; text-align: center; align-content: center; text-shadow: black 0.1em 0.1em 0.2em ;width: 110vw; margin-left: -10vw">
                    <h1>Bienvenue #{mbLogin.sessionCandidate.firstName}</h1>
                    <h3>Quel poste allez-vous rechercher aujourd'hui ?</h3>
                </div>
            </c:if>
            <c:if test="#{mbLogin.sessionRecruiter.firstName != null}">
                <div style="display: flex;flex-direction: column; color: white;
            justify-content: center; text-align: center; align-content: center; text-shadow: black 0.1em 0.1em 0.2em ;width: 110vw; margin-left: -10vw">
                    <h1>Bienvenue #{mbLogin.sessionRecruiter.firstName}</h1>
                    <h3>Qui allez-vous recruter aujourd'hui ?</h3>
                </div>
            </c:if>
            <c:if test="#{mbLogin.sessionCandidate.firstName == null and mbLogin.sessionRecruiter.firstName == null}">
                <div style="display: flex;flex-direction: column; color: white;
            justify-content: center; text-align: center; align-content: center; text-shadow: black 0.1em 0.1em 0.2em ;width: 110vw; margin-left: -10vw">
                    <h1>Bienvenue sur Puzzle</h1>
                    <h3>La plateforme de recrutement où tout le monde trouve sa place</h3>
                </div>
            </c:if>

            <b:form>
                <div class="global" style="; justify-content: center; margin-top: 0vh;
                display: flex;flex-direction: column; background-color: rgb(0,0,0,0.5); height: 30vh; width: 110vw; margin-left: -10vw; margin-top: 0vh">
                    <c:if test="#{mbLogin.sessionCandidate.firstName != null}">
                        <div class="searchJob"
                             style=" text-align: center; display: flex; justify-content: center; align-content: center">
                            <b:inputText fieldSize="lg" placeholder="Quel poste recherchez-vous ?" value="#{mbJob.title}"
                                         style="width:50vw"/>
                        </div>
                        <div class="searchJob"
                             style=" text-align: center; display: flex; justify-content: center; align-content: center">
                            <b:commandButton look="primary" size="lg" value="Rechercher"
                                             action="#{mbJob.filterJob()}"> </b:commandButton>
                        </div>
                    </c:if>
                    <c:if test="#{mbLogin.sessionRecruiter.firstName != null}">
                        <div class="searchJob"
                             style=" text-align: center; display: flex; justify-content: center; align-content: center">
                            <b:inputText fieldSize="lg" placeholder="Quel compétence recherchez-vous ?"
                                         style="width:50vw"/>
                        </div>
                        <div class="searchJob"
                             style=" text-align: center; display: flex; justify-content: center; align-content: center">
                            <b:commandButton look="primary" size="lg" value="Rechercher"
                                             action="candidate.xhtml"> </b:commandButton>
                        </div>
                    </c:if>
                    <c:if test="#{mbLogin.sessionCandidate.firstName == null and mbLogin.sessionRecruiter.firstName == null}">
                        <div class="searchJob"
                             style=" text-align: center; display: flex; justify-content: center; align-content: center">
                            <b:inputText fieldSize="lg" placeholder="Quel poste recherchez-vous ?" value="#{mbJob.title}"
                                         style="width:50vw"/>
                        </div>
                        <div class="searchJob"
                             style=" text-align: center; display: flex; justify-content: center; align-content: center">
                            <b:commandButton look="primary" size="lg" value="Rechercher"
                                             action="#{mbJob.filterJob()}"> </b:commandButton>
                        </div>
                    </c:if>
                </div>

            </b:form>
        </h:body>

    </ui:define>
</ui:composition>

</html>